Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request POST \ --url https://api.tenbytecloud.com/v1/user-resource/ssh_keys \ --header 'Content-Type: application/json' \ --header 'apikey: <api-key>' \ --data ' { "name": "<string>", "public_key": "<string>" } '
{ "uuid": "3f8f4c5a-2c6d-4f0a-9a3a-8c9f6e3f1a2b", "name": "laptop-mbp", "public_key": "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIMockPublicKeyData user@host", "user_id": 268, "created_at": "2025-01-12T09:21:33Z" }
Create a new SSH public key. The public_key is immutable once created.
A human-friendly name for the key, unique per user
Full OpenSSH public key line
Created SSH key
The response is of type object.
object